package com.hzs.common.core.enums;

import com.hzs.common.core.constant.EnumsPrefixConstants;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 会员更名、密码修改类型
 *
 * @author hzs
 */
@AllArgsConstructor
@Getter
public enum EMemberEditType {

    /**
     * 忘记密码
     */
    FORGOT_PASSWORD(0, "忘记密码", 0, EnumsPrefixConstants.MEMBER_EDIT_TYPE + "0"),

    /**
     * 修改登录密码
     */
    CHANGE_LOGIN_PASSWORD(1, "修改登录密码", 0, EnumsPrefixConstants.MEMBER_EDIT_TYPE + "1"),

    /**
     * 修改支付密码
     */
    CHANGE_PAYMENT_PASSWORD(2, "修改支付密码", 0, EnumsPrefixConstants.MEMBER_EDIT_TYPE + "2"),

    /**
     * 更改姓名
     */
    CHANGE_NAME(3, "更改姓名", 0, EnumsPrefixConstants.MEMBER_EDIT_TYPE + "3"),

    /**
     * 修改手机号
     */
    CHANGE_PHONE(4, "修改手机号", 0, EnumsPrefixConstants.MEMBER_EDIT_TYPE + "4"),

    /**
     * 修改安置关系
     */
    CHANGE_PLACE_PARENT(5, "修改安置关系", 0, EnumsPrefixConstants.MEMBER_EDIT_TYPE + "5"),

    /**
     * 修改会员编号
     */
    CHANGE_MEMBER_CODE(6, "修改会员编号", 0, EnumsPrefixConstants.MEMBER_EDIT_TYPE + "6"),

    /**
     * 修改直推
     */
    CHANGE_MEMBER_PARENT(7, "修改直推", 0, EnumsPrefixConstants.MEMBER_EDIT_TYPE + "7"),
    ;

    /**
     * 实际值
     */
    private final int value;
    /**
     * 显示标签
     */
    private final String label;
    /**
     * 是否启用（0=是,1=否） -- 来源EYesNo
     */
    private final int enable;
    /**
     * 国际化翻译key值
     */
    private final String key;

}
